Get Wallet Transaction Summary
curl --request GET \
--url https://api.data.ormilabs.com/v2/{chain_name}/wallets/{wallet_address}/transactions/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.data.ormilabs.com/v2/{chain_name}/wallets/{wallet_address}/transactions/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.data.ormilabs.com/v2/{chain_name}/wallets/{wallet_address}/transactions/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_transactions": 1321,
"earliest_transaction": {
"block_hash": "0xfc88f174eb6ab4e4deec01fb6484489659b5515b9229735a6e1a087dc3e2eb3f",
"block_number": 22412527,
"block_timestamp": "2025-05-04T19:38:11Z",
"contract_address": "0x312e67b47a2a29ae200184949093d92369f80b53",
"cumulative_gas_used": "2692235",
"effective_gas_price": "1000000000",
"from_address": "0x290ca4da2c963dea5ae736469a5b8a53d64d4e6a",
"gas": "40000",
"gas_price": "1000000000",
"gas_used": "22901",
"input": "0x6874...",
"l1_fee": "<string>",
"l1_fee_scalar": "<string>",
"l1_gas_price": "<string>",
"l1_gas_used": "<string>",
"max_fee_per_gas": "1000000000",
"max_priority_fee_per_gas": "1000000000",
"nonce": "132573",
"status": 0,
"to_address": "0x312e67b47a2a29ae200184949093d92369f80b53",
"transaction_hash": "0x94ead602754fb7b4e6a884173ef9f68860e847a43788f5da13f7dbb4922e52ea",
"transaction_index": 43,
"transaction_type": 2,
"value": 0,
"value_raw": "0"
},
"latest_transaction": {
"block_hash": "0xfc88f174eb6ab4e4deec01fb6484489659b5515b9229735a6e1a087dc3e2eb3f",
"block_number": 22412527,
"block_timestamp": "2025-05-04T19:38:11Z",
"contract_address": "0x312e67b47a2a29ae200184949093d92369f80b53",
"cumulative_gas_used": "2692235",
"effective_gas_price": "1000000000",
"from_address": "0x290ca4da2c963dea5ae736469a5b8a53d64d4e6a",
"gas": "40000",
"gas_price": "1000000000",
"gas_used": "22901",
"input": "0x6874...",
"l1_fee": "<string>",
"l1_fee_scalar": "<string>",
"l1_gas_price": "<string>",
"l1_gas_used": "<string>",
"max_fee_per_gas": "1000000000",
"max_priority_fee_per_gas": "1000000000",
"nonce": "132573",
"status": 0,
"to_address": "0x312e67b47a2a29ae200184949093d92369f80b53",
"transaction_hash": "0x94ead602754fb7b4e6a884173ef9f68860e847a43788f5da13f7dbb4922e52ea",
"transaction_index": 43,
"transaction_type": 2,
"value": 0,
"value_raw": "0"
}
}Wallet
Get Wallet Transaction Summary
Provides a summary of a wallet’s transaction history, including the total transaction count and details of the first and last transactions.
GET
/
v2
/
{chain_name}
/
wallets
/
{wallet_address}
/
transactions
/
summary
Get Wallet Transaction Summary
Authorizations
Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.
Path Parameters
The wallet address.
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
The name or ID of the blockchain.
Available options:
ethereum, apechain, arbitrum, avalanche, base, bsc, polygon Example:
"ethereum"